org.richfaces.component

## Class AbstractInplaceSelect

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - javax.faces.component.UISelectOne
          - - org.richfaces.component.AbstractSelectComponent
            - - org.richfaces.component.AbstractInplaceSelect

- All Implemented Interfaces:
    EventListener, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, CoreProps, DisabledProps, EventsKeyProps, EventsMouseProps, FocusProps, SelectProps, InplaceComponent
  Direct Known Subclasses:
    UIInplaceSelect

      public abstract class AbstractInplaceSelect
      extends AbstractSelectComponent
      implements InplaceComponent, CoreProps, DisabledProps, EventsKeyProps, EventsMouseProps, FocusProps, SelectProps

  The <rich:inplaceSelect> component is similar to the <rich:inplaceInput> component, except that the <rich:inplaceSelect> component uses a drop-down selection box to enter text instead of a regular text field. Changes can be rendered either in-line or for the whole block, and inputs can be focused with keyboard navigation. The component is based on the JSF UISelectOne component, so all the standard rules for value definition, processing, conversion, and validation apply.

  Author:
    Anton Belevich

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UISelectOne

      `INVALID_MESSAGE_ID`

    - ### Fields inherited from class javax.faces.component.UIInput

      `CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractInplaceSelect()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getEditEvent()` The event on which to switch the component to the edit state
    `abstract String` | `getInputWidth()` The width of the input element
    `abstract String` | `getOninputclick()` Javascript code executed when a pointer button is clicked over the input element.
    `abstract String` | `getOninputdblclick()` Javascript code executed when a pointer button is double clicked over the input element.
    `abstract String` | `getOninputkeydown()` Javascript code executed when a key is pressed down over the input element.
    `abstract String` | `getOninputkeypress()` Javascript code executed when a key is pressed and released over the input element.
    `abstract String` | `getOninputkeyup()` Javascript code executed when a key is released over the input element.
    `abstract String` | `getOninputmousedown()` Javascript code executed when a pointer button is pressed down over the input element.
    `abstract String` | `getOninputmousemove()` Javascript code executed when a pointer button is moved within the input element.
    `abstract String` | `getOninputmouseout()` Javascript code executed when a pointer button is moved away from the input element.
    `abstract String` | `getOninputmouseover()` Javascript code executed when a pointer button is moved onto the input element.
    `abstract String` | `getOninputmouseup()` Javascript code executed when a pointer button is released over the input element.
    `abstract String` | `getOninputselect()` Javascript code executed when text in the input element is selected
    `abstract InplaceState` | `getState()`
    `abstract boolean` | `isOpenOnEdit()` If "false" do not switch the component to the edit state on "click"
    `abstract boolean` | `isSaveOnBlur()` Defines whether the changes should apply when the focus is lost.
    `abstract boolean` | `isSaveOnSelect()` When "false" do not save the item as the new control value when the user selects an item from the drop-down list
    `abstract boolean` | `isShowControls()` If "true" is set, buttons for confirming or canceling are added to the component

    - ### Methods inherited from class org.richfaces.component.AbstractSelectComponent

      `getOnchange, getOnlistclick, getOnlistdblclick, getOnlisthide, getOnlistkeydown, getOnlistkeypress, getOnlistkeyup, getOnlistmousedown, getOnlistmousemove, getOnlistmouseout, getOnlistmouseover, getOnlistmouseup, getOnlistshow, getOnselectitem`

    - ### Methods inherited from class javax.faces.component.UISelectOne

      `getFamily, validateValue`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, broadcast, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValue, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, encodeAll, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.component.InplaceComponent

      `getActiveClass, getChangedClass, getDefaultLabel, getDisabledClass, getTabindex, isDisabled, setDefaultLabel`

    - ### Methods inherited from interface org.richfaces.component.attribute.CoreProps

      `getStyle, getStyleClass, getTitle`

    - ### Methods inherited from interface org.richfaces.component.attribute.DisabledProps

      `isDisabled`

    - ### Methods inherited from interface org.richfaces.component.attribute.EventsKeyProps

      `getOnkeydown, getOnkeypress, getOnkeyup`

    - ### Methods inherited from interface org.richfaces.component.attribute.EventsMouseProps

      `getOnclick, getOndblclick, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup`

    - ### Methods inherited from interface org.richfaces.component.attribute.FocusProps

      `getOnblur, getOnfocus, getTabindex`

    - ### Methods inherited from interface org.richfaces.component.attribute.SelectProps

      `getActiveClass, getChangedClass, getDefaultLabel, getDisabledClass, getItemClass, getListClass, getListHeight, getListWidth, getSelectItemClass`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractInplaceSelect

          public AbstractInplaceSelect()

  - ### Method Detail

    - #### getInputWidth

          public abstract String getInputWidth()

      The width of the input element

    - #### isOpenOnEdit

          public abstract boolean isOpenOnEdit()

      If "false" do not switch the component to the edit state on "click"

    - #### isSaveOnSelect

          public abstract boolean isSaveOnSelect()

      When "false" do not save the item as the new control value when the user selects an item from the drop-down list

    - #### isSaveOnBlur

          public abstract boolean isSaveOnBlur()

      Defines whether the changes should apply when the focus is lost. Default value - "true"
      Specified by:
        `isSaveOnBlur` in interface `InplaceComponent`

    - #### isShowControls

          public abstract boolean isShowControls()

      If "true" is set, buttons for confirming or canceling are added to the component
      Specified by:
        `isShowControls` in interface `InplaceComponent`

    - #### getEditEvent

          public abstract String getEditEvent()

      The event on which to switch the component to the edit state

      Default is "click"

      Specified by:
        `getEditEvent` in interface `InplaceComponent`

    - #### getOninputclick

          public abstract String getOninputclick()

      Javascript code executed when a pointer button is clicked over the input element.

    - #### getOninputdblclick

          public abstract String getOninputdblclick()

      Javascript code executed when a pointer button is double clicked over the input element.

    - #### getOninputmousedown

          public abstract String getOninputmousedown()

      Javascript code executed when a pointer button is pressed down over the input element.

    - #### getOninputmouseup

          public abstract String getOninputmouseup()

      Javascript code executed when a pointer button is released over the input element.

    - #### getOninputmouseover

          public abstract String getOninputmouseover()

      Javascript code executed when a pointer button is moved onto the input element.

    - #### getOninputmousemove

          public abstract String getOninputmousemove()

      Javascript code executed when a pointer button is moved within the input element.

    - #### getOninputmouseout

          public abstract String getOninputmouseout()

      Javascript code executed when a pointer button is moved away from the input element.

    - #### getOninputkeydown

          public abstract String getOninputkeydown()

      Javascript code executed when a key is pressed down over the input element.

    - #### getOninputkeypress

          public abstract String getOninputkeypress()

      Javascript code executed when a key is pressed and released over the input element.

    - #### getOninputkeyup

          public abstract String getOninputkeyup()

      Javascript code executed when a key is released over the input element.

    - #### getOninputselect

          public abstract String getOninputselect()

      Javascript code executed when text in the input element is selected

    - #### getState

          public abstract InplaceState getState()

      Specified by:
        `getState` in interface `InplaceComponent`

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.